#ifndef  ICS2_RX63T_H
#define  ICS2_RX63T_H

#define   ICS_SCI0_PB2_PB1    (0x00)  // (144,120,112,100,64,48pin)
#define   ICS_SCI0_P30_P24    (0x01)  // (64,48pin)
#define   ICS_SCI0_PA4_PA5    (0x02)  // (144,120,112,100pin)
#define   ICS_SCI0_P23_P22    (0x03)  // (144,120,112,100pin)

#define   ICS_SCI1_PD3_PD5    (0x10)  // (144,120,112,100,64,48pin,JTAG)
#define   ICS_SCI1_P94_P93    (0x11)  // (64pin)
#define   ICS_SCI1_PF3_PF2    (0x12)  // (144,120,112pin)
#define   ICS_SCI1_P95_P96    (0x13)  // (144,120,112,100pin,INV)

#define   ICS_SCI2_P02_P03    (0x20)  // (144pin)
#define   ICS_SCI2_PG0_PG1    (0x21)  // (144,120,112pin)
#define   ICS_SCI2_PA1_PA2    (0x22)  // (144,120,112,100pin)

#define   ICS_SCI3_P35_P34    (0x30)  // (144pin)
#define   ICS_SCI3_PG3_PG4    (0x31)  // (144pin)

#define   ICS_SCI12_PB5_PB6_100PorABOVE (0xC0)  // (144,120,112,100pin)
//#define   ICS_SCI12_PB5_PB6_48P64P      (0xC1)  // (64,48pin)
#define   ICS_SCI12_P81_P80             (0xC2)  // (144,120,112,100pin)

void     ics2_init(void * addr, uint8_t port, uint8_t level, uint8_t speed, uint8_t mode);
void     ics2_watchpoint(void);
uint32_t ics2_version(void);

void ics_int_sci_rxi(void);


#endif   // ICS2_RX63T_H

